#
# spec file for package python-flake8-docstrings
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-flake8-docstrings
Version:        1.7.0
Release:        1.6
Summary:        Extension for flake8 which uses pydocstyle to check docstrings
License:        MIT
URL:            https://gitlab.com/pycqa/flake8-docstrings
Source:         https://files.pythonhosted.org/packages/source/f/flake8-docstrings/flake8_docstrings-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-flake8 >= 3
Requires:       python-flake8-polyfill
Requires:       python-pydocstyle >= 2.1.0
BuildArch:      noarch
%python_subpackages

%description
A module that adds an extension for the pydocstyle tool to flake8.

%prep
%setup -q -n flake8_docstrings-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%doc README.rst
%license LICENSE
%{python_sitelib}/flake8_docstrings.*
%{python_sitelib}/flake8_docstrings-%{version}-py*.egg-info
%pycache_only %{python_sitelib}/__pycache__

%changelog
* Wed Dec 27 2023 Dirk Müller <dmueller@suse.com>
- update to 1.7.0:
  * Add ``--property-decorators`` option.
* Sat Jan 15 2022 Dirk Müller <dmueller@suse.com>
- update to 1.6.0:
  * Fix ``--ignore-noqa`` by disabling ``pydocstyle``'s ``noqa`` handling.
* Fri Jan 10 2020 Tomáš Chvátal <tchvatal@suse.com>
- Revert back the python2 dropping; lets do it globaly in the
  project config
* Thu Jan  9 2020 Todd R <toddrme2178@gmail.com>
- Drop python2 subpackage due to dependencies dropping python2.
* Tue Oct  8 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.5.0:
  * Add --ignore-decorators option
* Fri Sep 13 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.4.0:
  * Add --docstring-convention option which allows selection of conventions
    besides the default pep257.  Available options are based on those
    available from pydocstyle and are currently pep257, google, and
    numpy.  flake8-docstrings also adds a special all docstring
    convention which will enable all rules from pydocstyle.  Note that
    pydocstyle defines some conflicting rules so you'll want to use
    ignore / extend-ignore when selecting docstring-convention = all
  * Bump minimum flake8 version to 3
  * Fix proper handling of stdin via --stdin-display-name
* Sat Aug  3 2019 Arun Persaud <arun@gmx.de>
- specfile:
  * update copyright year
  * be more specific in %%files section
- update to version 1.3.1:
  * Fix incompatibility with pydocstyle 4.x
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Fri May 18 2018 jengelh@inai.de
- Trim bias from description.
* Wed May  9 2018 toddrme2178@gmail.com
- Use license tag
* Thu Jan  4 2018 arun@gmx.de
- specfile:
  * update copyright year
  * update pydocstyle version requirement to 2.1.0
  * remove test requirements (were commented out already), since there
    are no tests
- update to version 1.3.0:
  * Bump minimum pydocstyle version to 2.1.0
- changes from version 1.2.0:
  * Fix EnvironError and AllError invocations
  * Avoid Flake8 warning for requesting "builtins"
* Wed Oct 18 2017 alarrosa@suse.com
- Update to 1.1.0
- Use singlespec
* Mon Mar 24 2014 toddrme2178@gmail.com
- Initial version
